Bug 1316699 - Dashboard search box does not work for katello widgets
Dashboard search box does not work for katello widgets
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Dashboard (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
sthirugn@redhat.com
http://projects.theforeman.org/issues...
: Triaged
: 1273848 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 15:23 EST by sthirugn@redhat.com
Modified: 2017-03-14 13:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14425 None None None 2016-04-22 11:01 EDT

  None (edit)
Description sthirugn@redhat.com 2016-03-10 15:23:58 EST
Description of problem:
Dashboard search box does not work

Version-Release number of selected component (if applicable):
Satellite 6.2.0-beta-snap3

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Monitor -> Dashboard
2. make sure to have multiple orgs with data
3. Select 'Any Context'
4. Type 'Organization = someorgname' in search box and click Search

Actual results:
The dashboard did not filter the results for the given search criteria

Expected results:
The dashboard should filter info for given search criteria

Additional info:
Comment 1 sthirugn@redhat.com 2016-03-10 15:34:17 EST
This is seen mostly for katello type widgets.  The foreman widget 'Host Configuration Status' worked fine.
Comment 4 David Davis 2016-03-30 11:09:06 EDT
So it looks like this search box only applies to hosts in that it only shows host fields (ip, os, arch, domain, org, etc). This makes sense for foreman in isolation since the Foreman widgets only show host information. Not only that but it looks like other plugins like foreman_discovery aren't honoring the search filters either. I don't really think this search functionality was meant to handle plugin widgets so we'll need some new code/design around this. Not sure if this is doable for 6.2.
Comment 5 Mike McCune 2016-03-30 13:25:00 EDT
This isn't a new issue, has existed since 6.0, 6.1 and now 6.2.

Proposing we move this to 6.3 or later and properly address searching in the Dashboard.
Comment 6 Eric Helms 2016-03-31 13:02:31 EDT
*** Bug 1273848 has been marked as a duplicate of this bug. ***
Comment 7 Partha Aji 2016-03-31 13:06:34 EDT
Created redmine issue http://projects.theforeman.org/issues/14425 from this bug
Comment 8 Bryan Kearney 2016-08-04 16:10:23 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 10 pm-sat@redhat.com 2017-03-13 16:08:27 EDT
Upstream bug assigned to daviddavis@redhat.com

Note You need to log in before you can comment on or make changes to this bug.